PROGRAM  Speedo_Names; 
(* 
    zeigt Speedo-Dateinamen und die jeweiligen Fontinformationen 
    Autor : Andreas Barkhoff 
    Compiler: PURE PASCAL ab V. 1.1 (nullterminierte Strings) 
    (c) 1994  MAXON-Computer 
    verffentlicht in: ST Computer 2/94 S. 124
*)

USES TOS, GEM, DOS;

CONST
(* Konstanten fr 1ST-Word-Format; knnen auf Wunsch einfach 
berall aus dem Programm gestrichen werden *)

UL : STRING = #27#$88; NO : STRING = #27#$80#32;


VAR 
f1       : TEXT;     Buff     : PCHAR; 
MyDTA    : DTAPtr;   Path,Dest: STRING; 
MyBuff   : POINTER;  j        : LONGINT;


function SelectFile(titel : String) : String;
              var
                  dir, path, filename, name : String;
                  ext : string[4];
                  exitButton : Integer;
              begin
                  path :='';   { Aktuelles Verzeichnis }
                  filename := '';
                  fsel_exinput( path, filename, exitButton, titel );
                  if exitButton = 0 then
                      SelectFile := ''
                  else begin
                      FSplit( path, dir, name, ext );
                      SelectFile := dir;
                  end;
              end;


BEGIN 
Path:=selectfile('Sourcepfad whlen');
Dest:= concat(selectfile('Destpath whlen'),'liste.doc'); 
MyDta:= FGetDTA; 
MyBuff:=  MALLOC(256); 
ASSIGN(f1, Dest); 
REWRITE(f1); 
IF Fsfirst(Path+'*.SPD', FA_ATTRIB ) = 0 THEN 
REPEAT
   j:= FOpen( Path+myDta^.d_fname,FO_READ); Fread(j,256,MyBuff); FClose(j); 
   WRITELN(f1,UL+'Dateiname:'+NO+myDta^.d_fname); 
   Buff:= MyBuff; 
   INC(LONGINT(Buff), 24);     WRITELN(f1,UL+'Fontname:'+NO+Buff); 
   INC(LONGINT(Buff), 70);     WRITELN(f1,UL+'Datum:'+NO+Buff); 
   INC(LONGINT(Buff), 80);     WRITELN(f1,UL+'Copyright:'+NO+Buff); 
   WRITELN(f1); 
UNTIL Fsnext <> 0; 
CLOSE(f1);                                  
Mfree(MyBuff); 
END.
